Download it now!
Bug 137392 - Changed font order for Korean locale
Summary: Changed font order for Korean locale
Status: ASSIGNED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: DaeHyun Sung
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: CJK-Korean Fonts-Locale
  Show dependency treegraph
 
Reported: 2020-10-11 13:07 UTC by DaeHyun Sung
Modified: 2020-10-22 14:57 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description DaeHyun Sung 2020-10-11 13:07:21 UTC
Description:
I changed font order priority.

I put 'Noto Sans KR' ahead of 'Noto Sans CJK KR'.
Because, New Noto Sans CJK font change the name. 

New Noto Sans CJK V2.001 released on 10 Apr 2019.

In these font files, removed 'CJK' on names.

Nowadays, New Linux distributions includes Noto CJK font V2.0.
In Korean Linux environments, Noto CJK font v2.0 'Noto Sans KR' & 'Noto Serif KR' are already set default.

Also, I watched Windows 10's Korean Font List
Microsoft Docs: Font List Windows 10 - Typography; Korean Supplemental Fonts
https://docs.microsoft.com/en-us/typography/fonts/windows_10_font_list#korean-supplemental-fonts

I missed 굴림체;GulimChe, 돋움체;DotumChe, 굴림체;GulimChe. 
So. I added Ms Korean's Default Korean fonts. 

As a result, I changed font order and add default Windows font names.



Google Noto CJK fonts Repository: https://github.com/googlefonts/noto-cjk
Microsoft Docs: Font List Windows's Korean supplemental fonts 
https://docs.microsoft.com/en-us/typography/fonts/windows_10_font_list#korean-supplemental-fonts

cf.Apple Docs - Format Chinese, Japanese, or Korean text in Pages on Mac
https://support.apple.com/guide/pages/format-chinese-japanese-or-korean-text-tanfbd4156e/mac


Actual Results:
In Korean Environments, To set default font is 'Noto Serif CJK KR' on LibreOffice Writer 

Expected Results:
In Korean Environments, To set default font is 'Noto Serif KR' on LibreOffice Writer 


Reproducible: Always


User Profile Reset: No



Additional Info:
Google Noto CJK fonts Repository: https://github.com/googlefonts/noto-cjk
Microsoft Docs: Font List Windows's Korean supplemental fonts 
https://docs.microsoft.com/en-us/typography/fonts/windows_10_font_list#korean-supplemental-fonts

cf.Apple Docs - Format Chinese, Japanese, or Korean text in Pages on Mac
https://support.apple.com/guide/pages/format-chinese-japanese-or-korean-text-tanfbd4156e/mac
Comment 1 Commit Notification 2020-10-12 11:27:44 UTC
DaeHyun Sung committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a879daa45f40fd84373a92242e098eaf6a493508

Changed font order for Korean locale tdf#137392

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.